scala.tools.nsc.transform.patmat.PatternExpander

# Aligned

#### final case class Aligned(patterns: Patterns, extractor: Extractor) extends Product with Serializable

If elementArity is... 0: A perfect match between extractor and the fixed patterns. If there is a star pattern it will match any sequence. > 0: There are more patterns than products. There will have to be a sequence which can populate at least <elementArity> patterns. < 0: There are more products than patterns: compile time error.

Source
  PatternExpander.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Aligned
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Aligned(patterns: Patterns, extractor: Extractor)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Aligned to any2stringadd[Aligned] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Aligned, B)

   Implicit information
     This member is added by an implicit conversion from Aligned to ArrowAssoc[Aligned] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def elementArity: Int

9. #### def ensuring(cond: (Aligned) ⇒ Boolean, msg: ⇒ Any): Aligned

   Implicit information
     This member is added by an implicit conversion from Aligned to Ensuring[Aligned] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Aligned) ⇒ Boolean): Aligned

    Implicit information
      This member is added by an implicit conversion from Aligned to Ensuring[Aligned] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Aligned

    Implicit information
      This member is added by an implicit conversion from Aligned to Ensuring[Aligned] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Aligned

    Implicit information
      This member is added by an implicit conversion from Aligned to Ensuring[Aligned] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def extractedTypes: collection.immutable.List[Type]

15. #### val extractor: Extractor

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Aligned to StringFormat[Aligned] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def isBool: Boolean

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isSeq: Boolean

22. #### def isSingle: Boolean

23. #### def isStar: Boolean

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### val patterns: Patterns

28. #### def productArity: Int

    Definition Classes
      Aligned → Product

29. #### def productTypes: List[Type]

30. #### def sequenceType: Type

31. #### def starArity: Int

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      Aligned → AnyRef → Any

34. #### def totalArity: Int

35. #### def typedNonStarPatterns: collection.immutable.List[TypedPat]

36. #### def typedPatterns: collection.immutable.List[TypedPat]

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def wholeType: Type

41. #### def →[B](y: B): (Aligned, B)

    Implicit information
      This member is added by an implicit conversion from Aligned to ArrowAssoc[Aligned] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Aligned to any2stringadd[Aligned]

### Inherited by implicit conversion StringFormat from Aligned to StringFormat[Aligned]

### Inherited by implicit conversion Ensuring from Aligned to Ensuring[Aligned]

### Inherited by implicit conversion ArrowAssoc from Aligned to ArrowAssoc[Aligned]

### Ungrouped